Bug 531107 - Review Request: perl-SQL-Tokenizer - A Perl package to tokenize SQL, generically
Review Request: perl-SQL-Tokenizer - A Perl package to tokenize SQL, generically
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 18:05 EDT by David Fetter
Modified: 2016-02-08 10:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-19 22:00:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description David Fetter 2009-10-26 18:05:51 EDT
Spec URL: http://fetter.org/~shackle/
SRPM URL: <srpm info here>
Description: A Perl package which helps tokenize SQL.
Comment 1 David Fetter 2009-10-26 18:07:33 EDT
Oops.  SPECT and SRPM, respectively, should be here:

http://fetter.org/~shackle/perl-SQL-Tokenizer.spec
http://fetter.org/~shackle/SRPMS/perl-SQL-Tokenizer-0.19-1.fc11.src.rpm
Comment 2 Marcela Mašláňová 2010-01-22 04:07:09 EST
Link is not working.
Comment 3 Steve Traylen 2010-02-09 14:14:43 EST
Yes, link still not working. Hangs, firewall?
Comment 4 David Fetter 2010-02-11 04:27:39 EST
Sorry.  The machine was down for awhile.  Here are the updated spec and SRPM.

http://fetter.org/~shackle/perl-SQL-Tokenizer.spec
http://fetter.org/~shackle/perl-SQL-Tokenizer-0.19-1.fc12.src.rpm
Comment 5 Steve Traylen 2010-02-13 11:29:34 EST
Hi,
Looks easy to approve but a couple of comments.

I see no reason for including MANIFEST.bak in the resulting package.

The license is as perl so not just "Artistic 2.0" see: 

http://fedoraproject.org/wiki/Packaging/Perl#License_tag
Comment 7 Steve Traylen 2010-02-13 13:58:19 EST
Hi what about the other point namely.

%doc Changes MANIFEST.bak README

I don't think "MANIFEST.bak" should be included the package.

Steve
Comment 9 Marcela Mašláňová 2010-07-26 04:39:38 EDT
- rpmlint checks return: OK
perl-SQL-Tokenizer.src: E: unknown-key GPG#b73652a5
 ^ looks like you've signed your package. This should be ok.
- package meets naming guidelines OK
- package meets packaging guidelines OK
- license (GPL+ or Artistic) OK, text in %doc, matches source
- spec file legible, in am. english OK
- source matches upstream OK
- package compiles on devel (x86) OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2350781
- no missing BR OK
- no unnecessary BR NOT OK
 please remove Test::More from Requires. This is needed only during build.
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- %clean ok OK
- macro use consistent OK
- code, not content OK
- no need for -docs OK
- nothing in %doc affects runtime OK
- no need for .desktop file  OK

Almost ok ;-)
Comment 10 David Fetter 2010-07-26 13:05:17 EDT
Updated to 0.20, the current version, removed Test::More from Requires.  Newest packages here:

http://fetter.org/~shackle/perl-SQL-Tokenizer.spec
http://fetter.org/~shackle/perl-SQL-Tokenizer-0.20-1.fc12.src.rpm
Comment 11 Marcela Mašláňová 2010-07-27 03:45:01 EDT
SRPM can't be found.
Comment 12 David Fetter 2010-07-27 10:57:37 EDT
Oops. sorry. Wrong URL.  The correct URLs are:

http://fetter.org/~shackle/perl-SQL-Tokenizer.spec
http://fetter.org/~shackle/perl-SQL-Tokenizer-0.20-1.fc13.src.rpm
Comment 13 Marcela Mašláňová 2010-07-28 03:07:42 EDT
- rpmlint checks return:
perl-SQL-Tokenizer.src: E: unknown-key GPG#b73652a5
OK
- package meets naming guidelines OK
- package meets packaging guidelines OK
- license (GPL+ or Artistic) OK, text in %doc, matches source
- spec file legible, in am. english OK
- source matches upstream 0cd63eb036f81e22d1d58fc1f81beb5f OK
- package compiles on devel (x86) OK
- no missing BR OK
- no unnecessary BR OK
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- %clean ok OK
- macro use consistent OK
- code, not content OK
- no need for -docs OK
- nothing in %doc affects runtime OK
- no need for .desktop file OK
Comment 14 Marcela Mašláňová 2010-10-04 04:59:33 EDT
Could you comment these two issues:
perl-SQL-Tokenizer.src: E: unknown-key GPG#b73652a5
perl-SQL-Tokenizer.noarch: W: hidden-file-or-dir /usr/share/perl5/vendor_perl/SQL/._Tokenizer.pm
After resolving these two, it should be ok.
Comment 15 Marcela Mašláňová 2010-10-14 03:04:35 EDT
Ping?
Comment 16 David Fetter 2010-10-14 10:59:21 EDT
What is it you'd like done about them?
Comment 17 Marcela Mašláňová 2010-11-09 11:09:59 EST
perl-SQL-Tokenizer.src: E: unknown-key GPG#b73652a5
^ I suppose this is false positive. Key is not needed for functionality.

perl-SQL-Tokenizer.noarch: W: hidden-file-or-dir
/usr/share/perl5/vendor_perl/SQL/._Tokenizer.pm
This is installed. Is it needed? If not, could you remove it?
Comment 18 Marcela Mašláňová 2011-02-28 10:26:57 EST
Ping?

If you are still interested in this package, could you remove the file ._Tokenizer.pm or comment, why it is needed? We could finish it in that case.
Comment 19 David Fetter 2011-03-01 16:05:25 EST
Oops.  I'll try to get on this tonight.  How do I remove it?

Cheers,
David.
Comment 20 Marcela Mašláňová 2011-03-02 10:04:27 EST
(In reply to comment #19)
> Oops.  I'll try to get on this tonight.  How do I remove it?
> 
> Cheers,
> David.

You should remove it in prep part of spec file.
rm -rf lib/SQL/._Tokenizer.pm

I must ask. Are you already sponsored in Fedora?
Comment 21 David Fetter 2011-03-03 18:32:53 EST
Done :)

http://fetter.org/~shackle/perl-SQL-Tokenizer.spec
http://fetter.org/~shackle/perl-SQL-Tokenizer-0.20-2.fc14.src.rpm

Re: sponsorship, not that I know of.  What's involved?
Comment 22 Marcela Mašláňová 2011-03-04 08:15:41 EST
You've started a lot of reviews as I can see in bugzilla, but you've never finished any. Why? You need to find someone, who will be your sponsor, which means give you access to Fedora account system. 
I've added sponsorship request as blocker. For details about sponsorship see: https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

In one of previous reviews you lost possible sponsor, so I'm not sure how successful you'll be this time. (I'm not sponsor).
Comment 23 Miroslav Suchý 2012-12-16 08:03:29 EST
Hi, I'm sponsor and I can sponsor you. Are you still interrested in finishing this package review?
Comment 24 Christopher Meng 2013-07-20 00:21:51 EDT
Please response ASAP or this bug may be closed.

If you don't have interests now, no problem and please close this.

Note You need to log in before you can comment on or make changes to this bug.